"""Tags personnalisés pour les templates d'authentification.

Ce fichier contient des tags personnalisés pour les templates du projet lié à
la gestion de l'accès des utilisateurs aux différentes pages.
"""

from django import template
from django.utils import timezone
from gestion_employe.models import Affectation

register = template.Library()

@register.filter
def has_group(user, group_name):
    """Vérifiez si un utilisateur appartient à un groupe spécifique."""
    return user.groups.filter(name=group_name).exists()

@register.filter
def is_chef_projet(user):
    try:
        affectation = Affectation.objects.get(employe__user__username = user, date_fin_daffectation__gte = timezone.now().date())
    except Affectation.DoesNotExist:
        return False
    return affectation.role == "chef_projet"